Bug 1565829 - digital simulation fails with missing library
Summary: digital simulation fails with missing library
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qucs
Version: 27
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Chitlesh GOORAH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 20:58 UTC by Patrick Stanistreet
Modified: 2018-11-30 21:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:31:40 UTC
Type: Bug


Attachments (Terms of Use)

Description Patrick Stanistreet 2018-04-10 20:58:19 UTC
Description of problem:
create a 1 bit addr circuit and run simulation
simulation fails with missing library

 Starting new simulation on Tue 10. Apr 2018 at 13:27:43:035

creating netlist... done.
running C++ conversion... done.
compiling functions... done.
compiling main... done.cd
linking...
Errors occurred during simulation on Tue 10. Apr 2018 at 13:27:45:926
Aborted.


libtool:   error: cannot find the library '/usr/lib64/libfreehdl-kernel.la' or unhandled argument '/usr/lib64/libfreehdl-kernel.la'


Version-Release number of selected component (if applicable):

Installed Packages
qucs.x86_64                        0.0.18-10.fc27                        @fedora

Installed Packages
freehdl.x86_64                       0.0.8-12.fc23                       @fedora


How reproducible:

create digital circuit 
run simulation


Steps to Reproduce:
1.   qucs   create digital circuit
2.   run simulation
3.   simulation fails

Actual results:

simulation fails

Expected results:


simulation fails on incorrect design
simulation succeeds on correct design
creates truth table



Additional info:

I will try to compile from source once I install fc28

Comment 1 Patrick Stanistreet 2018-05-10 00:01:21 UTC
I tried compiling qucs from source and the problem remains as
libfreehdl.la  is missing when qucs attempts to run simulation.    

What policy prevents compiling freehdl from creating a .la file 
as there are several related to qt5 in /usr/lib64?


Sorry not much of a programmer prefer not to install
unbuntu just to use qucs.  Also had fail on compile
of freehdl on fc27

Comment 2 Ben Cotton 2018-11-27 15:46:38 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 21:31:40 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.